All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxIOMLevelTreeV2

    com.sas.sasserver.tree._rprxIOMLevelTreeV2

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.models.TreeInterface, com.sas.net.server.SessionFactoryNotificationInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, RemoteSASListInterface, LevelDataInterface, LevelTreeInterface, LevelTreeV2Interface, RemoteLevelTreeInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  _rprxIOMLevelTreeV3

    public class _rprxIOMLevelTreeV2

implements LevelTreeV2Interface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.sasserver.tree._rprxIOMLevelTree
`mObject`

Fields inherited from interface com.sas.sasserver.tree.LevelTreeV2Interface
`contextClasspath`

Constructor Summary
`_rprxIOMLevelTreeV2()`

Method Summary
`java.lang.Class` | `_getDelegateInterfaceClass()` Retrieves the delegated CORBA interface class.
`int` | `_RemoteObject_version()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getKeyColumnName()`
`void` | `setKey(java.lang.String p1)`
`void` | `setKeyColumnName(java.lang.String p1)`

Methods inherited from class com.sas.sasserver.tree._rprxIOMLevelTree
`_getDataSet, _getDefaultIcon, _getDefaultIconColumn, _getDelegateClass, _getExpandedIcon, _getExpandedIconColumn, _getIndexColumn, _getLevelColumn, _getLink, _getLinkColumn, _getMembers, _getNameValuePairColumns, _getTextColumn, _getTreeNodes, _getWhere, _isValid, _Remote_addContentsChangedListener, _Remote_getRoot, _Remote_getWhere, _Remote_removeContentsChangedListener, _Remote_setWhere, _Remote_validate, _RemoteObject_getInstance, _RemoteObject_newInstance, _setDataSet, _setDefaultIcon, _setDefaultIconColumn, _setExpandedIcon, _setExpandedIconColumn, _setIndexColumn, _setLevelColumn, _setLink, _setLinkColumn, _setNameValuePairColumns, _setRemoteHandle, _setTextColumn, _setWhere, _validate, addContentsChangedListener, close, getDataSet, getDefaultImage, getDefaultImageColumnName, getExpandedImage, getExpandedImageColumnName, getIndexColumnName, getLevelColumnName, getNameValuePairColumns, getRoot, getTextColumnName, getURL, getURLColumnName, getWhere, removeContentsChangedListener, setDataSet, setDefaultImage, setDefaultImageColumnName, setExpandedImage, setExpandedImageColumnName, setIndexColumnName, setLevelColumnName, setNameValuePairColumns, setTextColumnName, setURL, setURLColumnName, setWhere, stop, validate`

Methods inherited from interface com.sas.sasserver.tree.LevelTreeInterface
`close, getDataSet, getDefaultImage, getDefaultImageColumnName, getExpandedImage, getExpandedImageColumnName, getNameValuePairColumns, getURL, getURLColumnName, getWhere, setDataSet, setDefaultImage, setDefaultImageColumnName, setExpandedImage, setExpandedImageColumnName, setNameValuePairColumns, setURL, setURLColumnName, setWhere, validate`

Methods inherited from interface com.sas.sasserver.tree.RemoteLevelTreeInterface
`_getDataSet, _getDefaultIcon, _getDefaultIconColumn, _getExpandedIcon, _getExpandedIconColumn, _getIndexColumn, _getLevelColumn, _getLink, _getLinkColumn, _getNameValuePairColumns, _getTextColumn, _getTreeNodes, _getWhere, _isValid, _setDataSet, _setDefaultIcon, _setDefaultIconColumn, _setExpandedIcon, _setExpandedIconColumn, _setIndexColumn, _setLevelColumn, _setLink, _setLinkColumn, _setNameValuePairColumns, _setTextColumn, _setWhere, _validate`

Methods inherited from interface com.sas.sasserver.RemoteSASListInterface
`_getMembers`

Methods inherited from interface com.sas.sasserver.tree.LevelDataInterface
`getIndexColumnName, getLevelColumnName, getTextColumnName, setIndexColumnName, setLevelColumnName, setTextColumnName`

Constructor Detail

### _rprxIOMLevelTreeV2

    public _rprxIOMLevelTreeV2()

Method Detail

### _getDelegateInterfaceClass

    public java.lang.Class _getDelegateInterfaceClass()

  Description copied from class: `IOMBaseClient`
  Retrieves the delegated CORBA interface class.

  Overrides:
    `_getDelegateInterfaceClass` in class `_rprxIOMLevelTree`
  Returns:
    The class.

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Overrides:
    `_RemoteObject_version` in class `_rprxIOMLevelTree`

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `LevelTreeV2Interface`

### setKey

    public void setKey(java.lang.String p1)

  Specified by:
    `setKey` in interface `LevelTreeV2Interface`

### getKeyColumnName

    public java.lang.String getKeyColumnName()

  Specified by:
    `getKeyColumnName` in interface `LevelTreeV2Interface`

### setKeyColumnName

    public void setKeyColumnName(java.lang.String p1)

  Specified by:
    `setKeyColumnName` in interface `LevelTreeV2Interface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.